' ACPI_CPUTemp v1.0
'
' Reads the CPU temperature from the ACPI data using WMI.
' Returns temp. in celsius.

Function ACPI_CPUTemp()
	dim r, lu
	set PFU = GetObject("winmgmts:{impersonationLevel=impersonate}!root\wmi").ExecQuery _
	        ("SELECT CurrentTemperature FROM MSAcpi_ThermalZoneTemperature")
	
	for each U in PFU
		r = r&U.CurrentTemperature
	Next
	
	' r is tenth of kelvin, convert to C.
	ACPI_CPUTemp = (r - 2732) / 10
	
	set PFU=Nothing
End Function

